ข้ามไปยังเนื้อหา

T2V Turbo - Video Crafter

ผสานการทำงาน

ID โมเดล t2v-turbo
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/t2v-turbo?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

คำขอนี้: ≈$0.024 24 เครดิต API เรียกใช้ในหน้านี้

รับคีย์ API
Open model ข้อความเป็นวิดีโอ รวดเร็ว #turbo

สร้างวิดีโอจากข้อความอย่างรวดเร็วด้วยพรอมต์ 16 ถึง 32 เฟรม พร้อมปรับ fps ของไฟล์ส่งออกได้

Open model · วิดีโอ

ผลลัพธ์แรกของคุณจะแสดงที่นี่

สร้างคำขอด้านล่างและเรียกใช้ด้วยคีย์ API ของคุณ เอาต์พุตจะถูกคัดลอกไปยังพื้นที่จัดเก็บของเรา และเก็บไว้ตลอดไปหรือฟรี 7 วัน

สร้างคำขอ

ตัวควบคุมสร้างจากสคีมาของโมเดล โค้ดและราคาจะอัปเดตเมื่อคุณเปลี่ยนค่า

•จำเป็น

พรอมต์ที่ใช้เป็นพื้นฐานสำหรับการสร้างรูปภาพ

ค่าเริ่มต้น 16

จำนวนเฟรมทั้งหมดที่จะสร้าง

ขั้นสูง num_inference_steps · guidance_scale · export_fps · seed · enable_safety_checker
ค่าเริ่มต้น 4

จำนวนขั้นตอนการสุ่มตัวอย่าง

ค่าเริ่มต้น 7.5

ค่ามาตราส่วนคำแนะนำ

ค่าเริ่มต้น 8

อัตราเฟรม (FPS) ของวิดีโอที่ส่งออก

ค่า seed สำหรับการสร้างตัวเลขสุ่ม

POST /run/t2v-turbo?wait=20 ใบเสนอราคา → $0.024
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.com/v1/run/t2v-turbo?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.com/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

เรียกใช้คำขอนี้

คีย์ของคุณจะอยู่ในเบราว์เซอร์นี้ โดยส่งไปยัง Doitong API เท่านั้น และจะบันทึกใน localStorage ก็ต่อเมื่อคุณเลือกจดจำ รับคีย์ API

เกี่ยวกับ T2V Turbo - Video Crafter

สร้างคลิปสั้นจาก `prompt` โดยใช้แซมเพลอร์แบบไม่กี่ขั้นตอน และมีค่าเริ่มต้นของ `num_inference_steps` เป็น 4 (สูงสุด 30) `num_frames` อยู่ระหว่าง 16 ถึง 32 และ `export_fps` อยู่ระหว่าง 1 ถึง 24 `guidance_scale` อยู่ระหว่าง 0.1 ถึง 30 และ `seed` อยู่ระหว่าง 0 ถึง 203279

พารามิเตอร์

ชื่อประเภท ค่าเริ่มต้นค่าที่อนุญาต คำอธิบาย
promptจำเป็น
ประเภทstring
พรอมต์ที่ใช้เป็นพื้นฐานสำหรับการสร้างรูปภาพ
seedไม่บังคับ
ประเภทinteger | null
0 – 203,279
ค่า seed สำหรับการสร้างตัวเลขสุ่ม
num_inference_stepsไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น4
1 – 30
จำนวนขั้นตอนการสุ่มตัวอย่าง
guidance_scaleไม่บังคับ
ประเภทnumber
ค่าเริ่มต้น7.5
0.1 – 30
ค่ามาตราส่วนคำแนะนำ
num_framesไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น16
16 – 32
จำนวนเฟรมทั้งหมดที่จะสร้าง
export_fpsไม่บังคับ
ประเภทinteger
ค่าเริ่มต้น8
1 – 24
อัตราเฟรม (FPS) ของวิดีโอที่ส่งออก
enable_safety_checkerไม่บังคับ
ประเภทboolean
ค่าเริ่มต้นtrue
สามารถผ่อนปรนการคัดกรองได้โดยตั้งค่าเป็น false หากผู้เรียกมีสิทธิ์
จำเป็น

เอาต์พุต

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "t2v-turbo",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 24,
    "usd": "0.024",
    "charged": 24,
    "refunded": 0
  },
  "input": {
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "video": {
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_name": "0-output.mp4",
      "file_size": 1843200
    }
  },
  "outputs": [
    {
      "type": "video",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
      "content_type": "video/mp4",
      "file_size": 1843200,
      "width": 1280,
      "height": 720,
      "duration": 5,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.com/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
ไฟล์ของคุณ คุณเลือกเองทุก outputs[].url คือสำเนาบนพื้นที่จัดเก็บของเรา: เก็บไว้ตลอดไป (คิดค่าบริการต่อ GB-เดือน) หรือฟรี 7 วัน โดยกำหนดได้ในการตั้งค่าบัญชีหรือ ?storage=
รูปแบบเดียวกันในทุกโมเดลtype, url, content_type, width, height และ duration สำหรับภาพ วิดีโอ และเสียงเหมือนกันทั้งหมด ส่วน output คือออบเจ็กต์ผลลัพธ์ของโมเดลเอง
ฟิลด์ของเอาต์พุต
video
object {url, content_type, file_name, file_size}URL ที่ชี้ไปยังวิดีโอที่สร้างขึ้น

สำหรับเอเจนต์ AI: หน้า Markdown นี้อยู่ที่ https://doitong.com/th/developers/models/t2v-turbo.md. โมเดลและคู่มือทั้งหมด: https://doitong.com/developers/llms.txt